/*
 * acqthread.h
 *
 *	17.08.04 - GG: first release 
 */

#ifndef ACQTHREAD_H
#define ACQTHREAD_H

#include <omnithread.h>
#include <tango.h>
#include <DataVampire.h>


class acqthread : public omni_thread, public Tango::LogAdapter
{	
	private:
		DataVampire_ns::DataVampire *myobj;

	public:
		/* acqthread::acqthread(): initialize search loop */
		acqthread(DataVampire_ns::DataVampire *s):Tango::LogAdapter(s) { myobj = s;};
		
		/* acqthread::~acqthread(): object destructor */
		~acqthread(){};
		
		void start_undetached(void) {
			omni_thread::start_undetached();
		};		
				
	protected:
		/* acqthread::run():	start setting loop */
		void *run_undetached(void *);			

};	/* end class acqthread() */


#endif

/* EOF */

